Fermentables
Update a Fermentable
Partial update — send only the fields you are changing.
PATCH
/
v1
/
fermentables
/
{id}
Update a Fermentable
curl --request PATCH \
--url https://brewgravity.com/v1/fermentables/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"type": "grain",
"amount_kg": 1,
"color_srm": 123,
"yield_percent": 123,
"sort_order": 1
}
'import requests
url = "https://brewgravity.com/v1/fermentables/{id}"
payload = {
"name": "<string>",
"type": "grain",
"amount_kg": 1,
"color_srm": 123,
"yield_percent": 123,
"sort_order": 1
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: 'grain',
amount_kg: 1,
color_srm: 123,
yield_percent: 123,
sort_order: 1
})
};
fetch('https://brewgravity.com/v1/fermentables/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "grain",
"amount_kg": 123,
"color_srm": 123,
"yield_percent": 123,
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
]
}Authorizations
An API key created from a signed-in session. See Authentication.
Path Parameters
Fermentable id
Body
application/json
Fermentable name, e.g. "Maris Otter"
Minimum string length:
1Fermentable category
Available options:
grain, sugar, extract, dry_extract, adjunct Weight in kilograms
Required range:
x >= 0Colour in SRM
Extract yield percentage
Display order
Required range:
x >= 0Response
The updated Fermentable
Unique identifier
Parent recipe
Fermentable name
Fermentable category
Available options:
grain, sugar, extract, dry_extract, adjunct Weight in kilograms
Colour in SRM
Extract yield percentage
Display order
ISO 8601 timestamp
⌘I
Update a Fermentable
